Targets

- « parallel\Events::addChannel

- parallel\Events::remove »

- PHP Manual
- parallel\Events
- Targets

# parallel\Events::addFuture

(0.9.0)

parallel\Events::addFuture — Targets

### Description

public parallel\Events::addFuture(string `$name`, parallel\Future `$future`): void

Shall watch for events on the given `future`

### Exceptions

Warning

Shall throw parallel\Events\Error\Existence if target with the given name was already added.